Bug 176930 - NPTL: mmap succeeds when memory locking should be unavailable
NPTL: mmap succeeds when memory locking should be unavailable
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://nptl.bullopensource.org/Tests/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 10:09 EST by Tony Reix
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 13:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Reix 2006-01-04 10:09:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
OPTS test:
mmap/18-1.c

Tests if an mmap operation succeeds when a limit has been set on memory locking and new memory is locked automatically.

The feature used to set the limit on the memory locking (RLIMIT_MEMLOCK) is not described in POSIX. The tested feature is part of the Process Memory Locking option in POSIX. This issue has to be reported.

Details are available at:
http://nptl.bullopensource.org/Tests/results/report.php
Browse: (TC2) 2xi686HT - RHAS4u2 Run 1,2,3

See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=10&testcase_id=3438

Version-Release number of selected component (if applicable):
Unmodified RHEL4u2

How reproducible:
Always

Steps to Reproduce:
Use OPTS.
(Used version was:  OPTS cvs repository on Nov 14, 2005)

Actual Results:  See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=10&testcase_id=3438

Additional info:
Comment 1 Tony Reix 2006-01-04 11:00:39 EST
Use the 3 (correct !) URLS:

http://nptl.bullopensource.org/Tests/TC2/report.php#problems

http://nptl.bullopensource.org/Tests/results/run-browse.php
     Click the "Browse" button of : (TC2) 2xi686HT - RHAS4u2 Run 3
     You can also select 2 runs and click the "Compare Selected" button.
Comment 2 Jason Baron 2006-01-18 13:33:38 EST
ok. i 've invetigate this one a bit, I suspect you're hitting this problem b/c
the program is being run as root. root can lock as many pages as she wants.

Note You need to log in before you can comment on or make changes to this bug.